﻿using System.ComponentModel;
using System.Windows.Forms;

namespace HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard {
  public partial class WizardPage : UserControl {
    public WizardPage() {
      InitializeComponent();
    }

    public Wizard ParentWizard {
      get { return (Wizard)ParentForm; }
    }

    protected void SetWizardButton(WizardButtons button) {
      ParentWizard.SetWizardButton(button);
    }

    protected void SetCommitButtonText(string buttonText) {
      ParentWizard.SetButtonText(WizardButtons.Commit, buttonText);
    }

    public event CancelEventHandler SetActive;
    public virtual void OnSetActive(CancelEventArgs e) {
      if (SetActive != null)
        SetActive(this, e);
    }

    public event CancelEventHandler QueryCancel;
    public virtual void OnQueryCancel(CancelEventArgs e) {
      if (QueryCancel != null) {
        QueryCancel(this, e);
      }
    }

    public event CancelEventHandler WizardCommit;
    public virtual void OnWizardCommit(CancelEventArgs e) {
      if (WizardCommit != null)
        WizardCommit(this, e);
    }

    public event WizardPageEventHandler WizardNext;
    public virtual void OnWizardNext(WizardPageEventArgs e) {
      if (WizardNext != null)
        WizardNext(this, e);
    }

    public event WizardPageEventHandler WizardBack;
    public virtual void OnWizardBack(WizardPageEventArgs e) {
      if (WizardBack != null)
        WizardBack(this, e);
    }


  }
}
